Skip to main content
GET
/
v1
/
external
/
notes
/
{noteGuid}
/
share-link
Get Share Link
curl --request GET \
  --url https://api.tiro.ooo/v1/external/notes/{noteGuid}/share-link \
  --header 'Authorization: Bearer <token>'
{
  "shareId": "LHr1bHvCCdVCG",
  "shareUrl": "https://tiro.ooo/s/LHr1bHvCCdVCG",
  "sharePassword": null,
  "hasPassword": true
}

Authorizations

Authorization
string
header
required

API key in format {id}.{secret}

Path Parameters

noteGuid
string
required

Note GUID

Response

Share link details

shareId
string
required

Unique share link identifier

Example:

"LHr1bHvCCdVCG"

shareUrl
string<uri>
required

Full URL for accessing the shared note

Example:

"https://tiro.ooo/s/LHr1bHvCCdVCG"

hasPassword
boolean
required

Whether the share link has a password

Example:

true

sharePassword
string | null

Share link password.

  • Only returned on PUT with usePassword: true
  • Always null in GET responses
Example:

"a1b2c3d4"